import type { ClerkOptions } from '@clerk/types';
type ClerkUpdateOptions = Pick<ClerkOptions, 'appearance' | 'localization'>;
/**
 * Updates Clerk's options at runtime.
 *
 * @param options - The Clerk options to update
 *
 * @example
 * import { frFR } from '@clerk/localizations';
 * import { dark } from '@clerk/themes';
 *
 * updateClerkOptions({
 *   appearance: { baseTheme: dark },
 *   localization: frFR
 * });
 */
export declare function updateClerkOptions(options: ClerkUpdateOptions): void;
export {};
