import type { LoadedClerk } from '@clerk/types';
/**
 * Executes a callback when Clerk is loaded.
 *
 * @param callback - Function to execute once Clerk is loaded
 * @example
 * ```ts
 * useClerkLoaded((clerk) => {
 *   clerk.redirectToSignUp(props);
 * });
 * ```
 */
export declare const useClerkLoaded: (callback: (clerk: LoadedClerk) => void) => void;
